---
title: "operator-sdk run"
---
## operator-sdk run

Run an Operator in a variety of environments

### Synopsis

This command has subcommands that will deploy your Operator with OLM.

### Options

```
  -h, --help   help for run
```

### Options inherited from parent commands

```
      --verbose   Enable verbose logging
```

### SEE ALSO

* [operator-sdk](../operator-sdk)	 - Development kit for building Kubernetes extensions and tools.
* [operator-sdk run bundle](../operator-sdk_run_bundle)	 - Deploy an Operator in the bundle format with OLM
* [operator-sdk run bundle-upgrade](../operator-sdk_run_bundle-upgrade)	 - Upgrade an Operator previously installed in the bundle format with OLM
* [operator-sdk run packagemanifests](../operator-sdk_run_packagemanifests)	 - Deploy an Operator in the package manifests format with OLM

